package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class YwWxEnterpriseDTO implements Serializable {
	
	private String wxEnterpriseId;

    private String corpid;

    private String corpName;

    private String name;

    private Integer bindFlag;

    private Integer statusFlag;
    //gic通讯录助手
    private String contactFlag;
    //订购状态
    private String buyStatus;
    //订购时间
    private Date  buyDate;
    //版本号
    private String version;

    private String corpSquareLogoUrl;
    //关联商户数量
    private Integer relationCount=0;
	/**
	 * 是否开启标签同步标记 1 是 0 否
	 */
	private Integer tagOpenFlag;
	/**
	 * 转换状态：0:未转换；1:转换成功；2:转换中
	 */
	private Integer externalFlag;
	/**
	 * 是否开启历史好友关联 true 开启 false 关闭
	 */
	private Boolean openMassFlag;
	
	private List<EnterpriseDetailDTO>  enList ;
	
    public List<EnterpriseDetailDTO> getEnList() {
        return enList;
    }

    public void setEnList(List<EnterpriseDetailDTO> enList) {
        this.enList = enList;
    }

    public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public Integer getRelationCount() {
		return relationCount;
	}

	public void setRelationCount(Integer relationCount) {
		this.relationCount = relationCount;
	}

	private static final long serialVersionUID = 1L;

	public String getCorpSquareLogoUrl() {
		return corpSquareLogoUrl;
	}

	public void setCorpSquareLogoUrl(String corpSquareLogoUrl) {
		this.corpSquareLogoUrl = corpSquareLogoUrl;
	}

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getCorpid() {
		return corpid;
	}

	public void setCorpid(String corpid) {
		this.corpid = corpid;
	}

	public String getCorpName() {
		return corpName;
	}

	public void setCorpName(String corpName) {
		this.corpName = corpName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getBindFlag() {
		return bindFlag;
	}

	public void setBindFlag(Integer bindFlag) {
		this.bindFlag = bindFlag;
	}

	public Integer getStatusFlag() {
		return statusFlag;
	}

	public void setStatusFlag(Integer statusFlag) {
		this.statusFlag = statusFlag;
	}


	public String getContactFlag() {
		return contactFlag;
	}

	public void setContactFlag(String contactFlag) {
		this.contactFlag = contactFlag;
	}

	public String getBuyStatus() {
		return buyStatus;
	}

	public void setBuyStatus(String buyStatus) {
		this.buyStatus = buyStatus;
	}

	public Date getBuyDate() {
		return buyDate;
	}

	public void setBuyDate(Date buyDate) {
		this.buyDate = buyDate;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public Integer getTagOpenFlag() {
		return tagOpenFlag;
	}

	public void setTagOpenFlag(Integer tagOpenFlag) {
		this.tagOpenFlag = tagOpenFlag;
	}

	public Integer getExternalFlag() {
		return externalFlag;
	}

	public void setExternalFlag(Integer externalFlag) {
		this.externalFlag = externalFlag;
	}

	public Boolean getOpenMassFlag() {
		return openMassFlag;
	}

	public void setOpenMassFlag(Boolean openMassFlag) {
		this.openMassFlag = openMassFlag;
	}
}
